{% extends "_doc_layout.html" %}

{% set page = 'intro' %}

{% block content %}
  <div tabindex="-1" id="notebook" class="border-box-sizing">
    <div class="container" id="notebook-container">
      <div class="cell border-box-sizing text_cell rendered">
        <div class="prompt input_prompt"></div>
        <div class="inner_cell">
          <div class="text_cell_render border-box-sizing rendered_html">
            <h1 id="&#1069;&#1061;&#1051;&#1069;&#1051;">&#1069;&#1061;&#1051;&#1069;&#1051;<a class="anchor-link" href="#&#1069;&#1061;&#1051;&#1069;&#1051;">&#182;</a></h1>
            <p>Одоог хүртэл хуримтлагдсан бэлэн баримт мэдээлэл /өгөгдөл/ дээр үндэслэн бодит мэдлэгийг олборлож улмаар ирээдүйн аливаа асуудалд урьдчилсан үнэлэлт, дүгнэлт өгөх нь "Machine Learning" буюу "Машин сургалт"-ын гол зорилго юм [1]. Компьютерийн шинжлэх ухааны олон салбар судлагдахуунд машин сургалтын ойлголтууд ашиглагддаг.
              <img src="{{ url_for('static', filename='img/machine-learning.png') }}" width="200px"/>
            </p>
            <h2 id="&#1070;&#1091;-&#1093;&#1080;&#1081;&#1089;&#1101;&#1085;-&#1073;&#1101;?">&#1070;&#1091; &#1093;&#1080;&#1081;&#1089;&#1101;&#1085; &#1073;&#1101;?<a class="anchor-link" href="#&#1070;&#1091;-&#1093;&#1080;&#1081;&#1089;&#1101;&#1085;-&#1073;&#1101;?">&#182;</a></h2>
            <p>"Artifical Intelligence" буюу "Үүсмэл Ухаан"-ы дэд салбар "Natural Processing Language"-д хамаарах <strong>opinion mining</strong>-тай холбоотой туршилт судалгаа хийв. Кино үнэлгээний хамгийн том сайт болох IMDB-ээс авсан нийт 50000 орчим сэтгэгдлийн [2] материалыг ашиглан хэрэглэгч киноны талаар сэтгэгдэл оруулахад тухайн сэтгэгдлийн хандлага эерэг эсвэл сөрөг эсэхийг хамгийн өндөр хувиар таних classifier model-ийг боловсруулсан. Мөн тухайн model дурын хэрэглэгчээс feedback аван тогтмол сайжирч, өөртөө dynamic training хийх боломжийг олгосон web application хөгжүүлэв.</p>
            <h2 id="&#1071;&#1072;&#1078;-&#1093;&#1080;&#1081;&#1089;&#1101;&#1085;-&#1073;&#1101;?">&#1071;&#1072;&#1078; &#1093;&#1080;&#1081;&#1089;&#1101;&#1085; &#1073;&#1101;?<a class="anchor-link" href="#&#1071;&#1072;&#1078;-&#1093;&#1080;&#1081;&#1089;&#1101;&#1085;-&#1073;&#1101;?">&#182;</a></h2>
            <p>Эерэг эсвэл сөрөг гэсэн 2 категорит хуваах classifier бэлдэх ёстой учраас <strong>classification</strong> төрлийн алгоритмуудаас <strong>logistic regression</strong>-ийг [3] сонгож model-оо байгуулсан. Classification, Logistic regression-ий талаар <strong>ОНОЛ</strong> хэсэгт дэлгэрэнгүй тайлбарлав.</p>
          </div>
        </div>
      </div>
    </div>
  </div>
{% endblock %}
